import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { STChange, STColumn, STComponent } from '@delon/abc';
import { TranslateService } from '@ngx-translate/core';
import { DEF } from '../../../../api';
/**
 * role list
 */
export declare class IdentityRoleLocalRolesComponent implements OnInit, OnChanges {
    private translateService;
    warehouse: string;
    currentRole: DEF.Iwms.RolePermissions | null;
    currentRoleChange: EventEmitter<DEF.Iwms.RolePermissions | null>;
    st: STComponent;
    loading: boolean;
    stDatas: Array<DEF.Iwms.RolePermissions>;
    stColumns: Array<STColumn>;
    roleCreateComponentProp: {
        visible: boolean;
    };
    constructor(translateService: TranslateService);
    ngOnInit(): void;
    fetchRoles(): void;
    ngOnChanges(changes: SimpleChanges): void;
    handleRefresh(): void;
    openRoleCreateComponent(): void;
    handleRoleCreateComponentOk(): void;
    handleStChange($event: STChange): void;
}
